Bug 20458 - Update candidate: Lutris 0.4.11.1
Summary: Update candidate: Lutris 0.4.11.1
Status: RESOLVED FIXED
Alias: None
Product: Mageia
Classification: Unclassified
Component: RPM Packages (show other bugs)
Version: 5
Hardware: All Linux
: Normal minor
Target Milestone: ---
Assignee: QA Team
QA Contact:
URL:
Whiteboard: advisory MGA5-32-OK
Keywords: validated_update
Depends on:
Blocks:
 
Reported: 2017-03-12 16:36 CET by Rémi Verschelde
Modified: 2017-06-08 23:40 CEST (History)
3 users (show)

See Also:
Source RPM: lutris-0.3.7.5-1.mga5
CVE:
Status comment:


Attachments

Description Rémi Verschelde 2017-03-12 16:36:37 CET
Advisory:
=========

Updated lutris package improves compatibility with lutris.net scripts

  The lutris application relies on scripts hosted at the upstream website
  lutris.net. For an optimal experience, the client should be kept relatively in
  sync with the API used for the scripts of the online database.

  This update brings the latest version of Lutris with new features, bug fixes
  and Python 3 support.

References:
 - https://lutris.net/news/lutris-038-released#article
 - https://lutris.net/news/lutris-040-released#article
 - https://github.com/lutris/lutris/releases/tag/v0.4.5


RPMs in core/updates_testing:
=============================

lutris-0.4.5-1.mga5.noarch
python-evdev-0.6.4-1.mga5
python3-evdev-0.6.4-1.mga5


SRPMs in core/updates_testing:
==============================

lutris-0.4.5-1.mga5
python-evdev-0.6.4-1.mga5


Note for QA: This update adds the python-evdev package (and python3-evdev counterpart which is used by Lutris), which is a new package in Mageia 5.
Comment 1 claire robinson 2017-03-12 18:42:19 CET
Lutris has no icon in the panel Rémi
Comment 2 Rémi Verschelde 2017-03-12 18:56:37 CET
Thanks, I'll have a look.
Comment 3 Herman Viaene 2017-04-17 11:47:21 CEST
MGA5-32 on Asus A6000VM Xfce
No installation issues.
Lutris has an icon in the Xfce "Spelletjes" (Games) menu.
Could open aisleriot (local game) and minetest. Looks OK. Category browser remained empty. Trying to connect to some other game in the client tab results in window giving feedback of connecting, but then hangs  at "nodes 6%" and the CLI gives 
*** Error in `/usr/games/minetest': corrupted double-linked list: 0x0c76cf90 ***
I don't know whether this is due to my repeated attempts to connect, or a genuine problem.
it seems I get this because I connect in lutris immediately after starting. When I restart,go to the minetest, pick one of the client options, give there the user/password , I get thru the initialization steps, but then the mine test window disappears, and at the CLI I get:
2017-04-17 11:35:09: WARNING[Main]: Irrlicht: PNG warning: Incorrect bKGD chunk length
2017-04-17 11:35:09: WARNING[Main]: Irrlicht: PNG warning: Incorrect bKGD chunk length
Note: Irrlicht may be a German term for ????. Since I reconfigured this laptop for a German localization problem, I haven't found the trick to get back tomy original Dutch localization.
Anyway, I don't feel attracted to study how to use this play. I see no reason to stop the update.
Comment 4 Rémi Verschelde 2017-04-23 21:02:58 CEST
Pushed a new update (0.4.8) and readded the mga5 hack for the missing icon on Qt  5. Hopefully it shows up fine now.

Advisory:
=========

Updated lutris package improves compatibility with lutris.net scripts

  The lutris application relies on scripts hosted at the upstream website
  lutris.net. For an optimal experience, the client should be kept relatively in
  sync with the API used for the scripts of the online database.

  This update brings the latest version of Lutris with new features, bug fixes
  and Python 3 support.

References:
 - https://lutris.net/news/lutris-038-released#article
 - https://lutris.net/news/lutris-040-released#article
 - https://github.com/lutris/lutris/releases/tag/v0.4.8


RPMs in core/updates_testing:
=============================

lutris-0.4.8-1.mga5.noarch
python-evdev-0.6.4-1.mga5
python3-evdev-0.6.4-1.mga5


SRPMs in core/updates_testing:
==============================

lutris-0.4.8-1.mga5
python-evdev-0.6.4-1.mga5

-----

Regarding the issues you had Herman, that might be an upstream issue with the way they package Minetest. As long as the Lutris client itself works fine and that other games seem functional, I wouldn't make it blocking (but I'll try to reproduce it and report it upstream if still valid).
Comment 5 Rémi Verschelde 2017-05-05 19:48:09 CEST
Pushed the new version 0.4.9, while we're at it :)

Advisory:
=========

Updated lutris package improves compatibility with lutris.net scripts

  The lutris application relies on scripts hosted at the upstream website
  lutris.net. For an optimal experience, the client should be kept relatively in
  sync with the API used for the scripts of the online database.

  This update brings the latest version of Lutris with new features, bug fixes
  and Python 3 support.

References:
 - https://lutris.net/news/lutris-038-released#article
 - https://lutris.net/news/lutris-040-released#article
 - https://github.com/lutris/lutris/releases/tag/v0.4.9


RPMs in core/updates_testing:
=============================

lutris-0.4.9-1.mga5.noarch
python-evdev-0.6.4-1.mga5
python3-evdev-0.6.4-1.mga5


SRPMs in core/updates_testing:
==============================

lutris-0.4.9-1.mga5
python-evdev-0.6.4-1.mga5
Comment 6 Rémi Verschelde 2017-05-19 23:21:04 CEST
Advisory:
=========

Updated lutris package improves compatibility with lutris.net scripts

  The lutris application relies on scripts hosted at the upstream website
  lutris.net. For an optimal experience, the client should be kept relatively in
  sync with the API used for the scripts of the online database.

  This update brings the latest version of Lutris with new features, bug fixes
  and Python 3 support.

References:
 - https://lutris.net/news/lutris-038-released#article
 - https://lutris.net/news/lutris-040-released#article
 - https://github.com/lutris/lutris/releases/tag/v0.4.10


RPMs in core/updates_testing:
=============================

lutris-0.4.10-1.mga5.noarch
python-evdev-0.6.4-1.mga5
python3-evdev-0.6.4-1.mga5


SRPMs in core/updates_testing:
==============================

lutris-0.4.10-1.mga5
python-evdev-0.6.4-1.mga5
Comment 7 Herman Viaene 2017-05-28 11:30:11 CEST
MGA5-32 on Asus A6000VM Xfce
No installation issues
I can play a local game in Lutris, I can get into minetest from the CLI (doing nothing "usefull" there as I cann't get my mind around those games). But when I start Lutris from the CLI, connect,and then try to get into minetest, I get:
$ lutris 
WARNING  2017-05-28 11:24:00,316 [winesteam]:wine is not installed
INFO     2017-05-28 11:24:18,697 [lutriswindow]:Connected to lutris.net as tester
/usr/games/minetest: /lib/libstdc++.so.6: version `GLIBCXX_3.4.21' not found (required by /home/tester5/.local/share/lutris/runtime/lib32/libleveldb.so.1)
/usr/games/minetest: /lib/libstdc++.so.6: version `GLIBCXX_3.4.21' not found (required by /home/tester5/.local/share/lutris/runtime/lib32/libsnappy.so.1)
 
and getting nowhere further. Why the difference???
Comment 8 Rémi Verschelde 2017-05-28 11:37:02 CEST
Thanks, I'll report that bug upstream. Lutris comes with a "runtime" of libraries used for the games they compile themselves.. but it should not be used with system installed games, as we obviously want them to use the system libraries.
Comment 9 Rémi Verschelde 2017-06-02 18:42:52 CEST
I tested the current 0.4.10 version on Cauldron and minetest plays as it should, as the "Lutris runtime" is disabled by default.

I suspect your minetest entry might have an invalid configuration for some reason.  You can check with:
1. Right click on the Minetest entry
2. Configure
3. System options
4. Tick "Show advanced options" at the bottom
5. Scroll the panel down to "Disable Lutris Runtime". It should by ticked by default, but it seems it would be unticked in your case.

I'm not sure why, it might be a config upgrade issue. You could check by removing Minetest from Lutris (Right click > Remove), in "Lutris > Import Games" tick "Scan" for "Desktop games" and restart Lutris. Then Minetest should be imported again, and should hopefully work out of the box.

Maybe version 0.4.5 that you tested initially initialized this entry with a bad config (the "Lutris runtime" was introduced around that time, might have been buggy back then)... At any rate, I would suggest to validate this update nevertheless, as 0.3.7.5 is no longer supported so many of the lutris.net installers no longer work with it. If some users have runtime issues, I'll be sure to provide the necessary support :)
Comment 10 Rémi Verschelde 2017-06-03 10:35:57 CEST
Another version bump for more features and bugfixes ;)

I've updated the advisory in SVN.


Advisory:
=========

Updated lutris package improves compatibility with lutris.net scripts

  The lutris application relies on scripts hosted at the upstream website
  lutris.net. For an optimal experience, the client should be kept relatively in
  sync with the API used for the scripts of the online database.

  This update brings the latest version of Lutris with new features, bug fixes
  and Python 3 support.

References:
 - https://lutris.net/news/lutris-038-released#article
 - https://lutris.net/news/lutris-040-released#article
 - https://github.com/lutris/lutris/releases/tag/v0.4.5
 - https://github.com/lutris/lutris/releases/tag/v0.4.6
 - https://github.com/lutris/lutris/releases/tag/v0.4.7
 - https://github.com/lutris/lutris/releases/tag/v0.4.9
 - https://github.com/lutris/lutris/releases/tag/v0.4.10
 - https://github.com/lutris/lutris/releases/tag/v0.4.11


RPMs in core/updates_testing:
=============================

lutris-0.4.11.1-1.mga5.noarch
python-evdev-0.6.4-1.mga5
python3-evdev-0.6.4-1.mga5


SRPMs in core/updates_testing:
==============================

lutris-0.4.11.1-1.mga5
python-evdev-0.6.4-1.mga5
Comment 11 Herman Viaene 2017-06-03 11:02:40 CEST
Followed Comment 9 with 0.4.11 installed.
Configuration was indeed not correct as Rémi indicated. Once this option set, minetest runs OK.
Removing minetest from lutris and importing it again also OK,so no objection anymore.
Comment 12 Mageia Robot 2017-06-08 23:40:32 CEST
An update for this issue has been pushed to the Mageia Updates repository.

http://advisories.mageia.org/MGAA-2017-0021.html

Note You need to log in before you can comment on or make changes to this bug.